Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeSpotPriceHistoryRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DescribeSpotPriceHistoryRequest

    public class DescribeSpotPriceHistoryRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeSpotPriceHistory operation`.

Describes the Spot Price history.

Spot Instances are instances that Amazon EC2 starts on your behalf when the maximum price that you specify exceeds the current Spot Price. Amazon EC2 periodically sets the Spot Price based on available Spot Instance capacity and current spot instance requests.

For conceptual information about Spot Instances, refer to the Amazon Elastic Compute Cloud Developer Guide or Amazon Elastic Compute Cloud User Guide .

See Also:
  `AmazonEC2.describeSpotPriceHistory(DescribeSpotPriceHistoryRequest)`

Constructor Summary
`DescribeSpotPriceHistoryRequest()`

Method Summary
`Date` | `getEndTime()` The end date and time of the Spot Instance price history data.
`List<String>` | `getInstanceTypes()` Specifies the instance type to return.
`List<String>` | `getProductDescriptions()` The description of the AMI.
`Date` | `getStartTime()` The start date and time of the Spot Instance price history data.
`void` | `setEndTime(Date endTime)` The end date and time of the Spot Instance price history data.
`void` | `setInstanceTypes(Collection<String> instanceTypes)` Specifies the instance type to return.
`void` | `setProductDescriptions(Collection<String> productDescriptions)` The description of the AMI.
`void` | `setStartTime(Date startTime)` The start date and time of the Spot Instance price history data.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeSpotPriceHistoryRequest` | `withEndTime(Date endTime)` The end date and time of the Spot Instance price history data.
`DescribeSpotPriceHistoryRequest` | `withInstanceTypes(Collection<String> instanceTypes)` Specifies the instance type to return.
`DescribeSpotPriceHistoryRequest` | `withInstanceTypes(String... instanceTypes)` Specifies the instance type to return.
`DescribeSpotPriceHistoryRequest` | `withProductDescriptions(Collection<String> productDescriptions)` The description of the AMI.
`DescribeSpotPriceHistoryRequest` | `withProductDescriptions(String... productDescriptions)` The description of the AMI.
`DescribeSpotPriceHistoryRequest` | `withStartTime(Date startTime)` The start date and time of the Spot Instance price history data.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeSpotPriceHistoryRequest

    public DescribeSpotPriceHistoryRequest()

Method Detail

### getStartTime

    public Date getStartTime()

  The start date and time of the Spot Instance price history data.

  Returns:
    The start date and time of the Spot Instance price history data.

### setStartTime

    public void setStartTime(Date startTime)

  The start date and time of the Spot Instance price history data.

  Parameters:
    `startTime` - The start date and time of the Spot Instance price history data.

### withStartTime

    public DescribeSpotPriceHistoryRequest withStartTime(Date startTime)

  The start date and time of the Spot Instance price history data.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `startTime` - The start date and time of the Spot Instance price history data.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEndTime

    public Date getEndTime()

  The end date and time of the Spot Instance price history data.

  Returns:
    The end date and time of the Spot Instance price history data.

### setEndTime

    public void setEndTime(Date endTime)

  The end date and time of the Spot Instance price history data.

  Parameters:
    `endTime` - The end date and time of the Spot Instance price history data.

### withEndTime

    public DescribeSpotPriceHistoryRequest withEndTime(Date endTime)

  The end date and time of the Spot Instance price history data.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `endTime` - The end date and time of the Spot Instance price history data.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceTypes

    public List<String> getInstanceTypes()

  Specifies the instance type to return.

  Returns:
    Specifies the instance type to return.

### setInstanceTypes

    public void setInstanceTypes(Collection<String> instanceTypes)

  Specifies the instance type to return.

  Parameters:
    `instanceTypes` - Specifies the instance type to return.

### withInstanceTypes

    public DescribeSpotPriceHistoryRequest withInstanceTypes(String... instanceTypes)

  Specifies the instance type to return.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceTypes` - Specifies the instance type to return.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withInstanceTypes

    public DescribeSpotPriceHistoryRequest withInstanceTypes(Collection<String> instanceTypes)

  Specifies the instance type to return.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceTypes` - Specifies the instance type to return.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getProductDescriptions

    public List<String> getProductDescriptions()

  The description of the AMI.

  Returns:
    The description of the AMI.

### setProductDescriptions

    public void setProductDescriptions(Collection<String> productDescriptions)

  The description of the AMI.

  Parameters:
    `productDescriptions` - The description of the AMI.

### withProductDescriptions

    public DescribeSpotPriceHistoryRequest withProductDescriptions(String... productDescriptions)

  The description of the AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `productDescriptions` - The description of the AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withProductDescriptions

    public DescribeSpotPriceHistoryRequest withProductDescriptions(Collection<String> productDescriptions)

  The description of the AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `productDescriptions` - The description of the AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.